Delete a patient

DELETE
/patients/{id}

Authorization

BearerAuth
AuthorizationBearer <token>

Medblocks API key for server-side requests.

In: header

Path Parameters

id*string

Your patient_id from Patient creation or Session upsert.

Header Parameters

Version?string

Date-pinned API version. If omitted, Medblocks uses the version pinned on your API key.

Response Body

application/json

application/json

curl -X DELETE "https://example.com/patients/string" \  -H "Version: 2026-04-25"
{  "id": "user_42",  "resource_type": "patient",  "deleted": true}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "doc_url": "http://example.com",    "request_id": "string"  }}
Non-2xx responses use the standard API error envelope. Log error.code and error.request_id for support.